SystemOrganization addCategory: #'Seaside-Tests-Adaptors-Comanche'!

WADocumentHandlerResponseTest subclass: #WAKomDocumentHandlerResponseTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Tests-Adaptors-Comanche'!

!WAKomDocumentHandlerResponseTest methodsFor: 'testing' stamp: 'jf 11/1/2008 13:47'!
assertHttpResponseFrom: aResponse matches: aHandler 
	| httpResponse kom |
	super 
		assertHttpResponseFrom: aResponse
		matches: aHandler.
	[ kom := WAKom new.
	httpResponse := kom convertResponse: aResponse ]
		ensure: [ kom ifNotNil: [ kom unregister ] ].
	self assert: httpResponse status == #ok.
	self assert: httpResponse contentType = aHandler document mimeType seasideString.
	self assert: httpResponse contentLength = aHandler document contents size.
	httpResponse fields keysAndValuesDo: [ :key :value | 
		self assert: (self headerAt: key forResponse: aResponse) = value ].
	aResponse headers do: [ :each | self assert: (httpResponse fields at: each key) = each value ].
	self assert: httpResponse cookies isEmpty! !

!WAPackage class methodsFor: '*seaside-tests-adaptors-comanche' stamp: 'jf 11/1/2008 11:45'!
seasideTestsAdaptorsComanche
	^ self new
		name: 'Seaside-Tests-Adaptors-Comanche';
		addDependency: 'Seaside-Adaptors-Comanche';
		yourself! !
